Bug 575166 - Specifying block-device-mapping causes euca-bundle-image to fail
Summary: Specifying block-device-mapping causes euca-bundle-image to fail
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: euca2ools
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Garrett Holmstrom
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-19 16:20 UTC by Robert Banfield
Modified: 2010-04-13 01:47 UTC (History)
1 user (show)

Fixed In Version: euca2ools-1.2-2.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-09 04:15:59 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 544706 None None None Never

Description Robert Banfield 2010-03-19 16:20:48 UTC
Description of problem:
euca-bundle-image does not successfully complete when using option --block-device-mapping

Version-Release number of selected component (if applicable):
euca2ools.noarch 0:1.2-1.fc12

How reproducible:
Always

Steps to Reproduce:
1. euca-bundle-image -i $IMAGE --cert=$EC2CERT --privatekey=$EC2PK --user=$EC2AWSUSER -r $BASEARCH --block-device-mapping ami=sda1,root=/dev/sda1,ephemeral0=sda2,swap=sda3 --kernel $KERNEL --ramdisk $RAMDISK --ec2cert=/root/EC2/support/ec2-ami-tools-1.3-31780/etc/ec2/amitools/cert-ec2.pem

  
Actual results:
Traceback (most recent call last):
  File "/usr/bin/euca-bundle-image", line 228, in <module>
    main()
  File "/usr/bin/euca-bundle-image", line 210, in main
    mapping = get_block_devs(mapping)
  File "/usr/bin/euca-bundle-image", line 89, in get_block_devs
    mapping_pairs = mapping.split(',')
AttributeError: 'list' object has no attribute 'split'


Expected results:
A bundle


Additional info: 
euca-bundle-vol likely has the same problem

Comment 1 Robert Banfield 2010-03-19 16:26:23 UTC
Specifying the block-device-mapping as:

--block-device-mapping='ami=sda1,root=/dev/sda1,ephemeral0=sda2,swap=sda3'

also fails

Comment 2 Robert Banfield 2010-03-19 16:56:39 UTC
Patch for ec2-bundle-image:

87c87
< def get_block_devs(mapping):
---
> def get_block_devs(mapstring):
89c89
<     mapping_pairs = mapping.split(',')
---
>     mapping_pairs = mapstring.split(',')

Comment 3 Garrett Holmstrom 2010-03-23 01:02:18 UTC
Although I don't have anything I can use to test --block-device-mapping, it's pretty obvious why this is broken.  ;-)

I'll add a patch for this to the next release.  Please test it and comment in bodhi when it hits updates-testing.

Comment 4 Fedora Update System 2010-03-23 04:26:09 UTC
euca2ools-1.2-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/euca2ools-1.2-2.fc13

Comment 5 Fedora Update System 2010-03-23 04:26:14 UTC
euca2ools-1.2-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/euca2ools-1.2-2.fc12

Comment 6 Fedora Update System 2010-03-23 23:21:45 UTC
euca2ools-1.2-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update euca2ools'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/euca2ools-1.2-2.fc12

Comment 7 Fedora Update System 2010-03-23 23:26:36 UTC
euca2ools-1.2-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update euca2ools'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/euca2ools-1.2-2.fc13

Comment 8 Robert Banfield 2010-03-24 18:26:10 UTC
Tested in the F12 testing repository and it works correctly.

Comment 9 Garrett Holmstrom 2010-03-25 02:57:14 UTC
If you would, after testing the package in updates-testing please provide feedback at http://admin.fedoraproject.org/updates/euca2ools-1.2-2.fc12 by giving comments and/or a +1 or -1 rating.  After the update gets enough feedback it can be pushed to the stable repository.

Comment 10 Fedora Update System 2010-04-09 04:15:55 UTC
euca2ools-1.2-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-04-13 01:47:19 UTC
euca2ools-1.2-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.